%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtshadertools
Version:       6.4.0
Release:       1mamba
Summary:       Qt6 shader tools component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtshadertools-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Qt6 shader tools component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qtshadertools-everywhere-src-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6ShaderTools.so.*
%{_libdir}/metatypes/qt6shadertools_release_metatypes.json
%doc LICENSES

%files devel
%defattr(-,root,root)
%{_libdir}/qt6/bin/qsb
%dir %{_includedir}/qt6/QtShaderTools
%{_includedir}/qt6/QtShaderTools/*
%{_libdir}/libQt6ShaderTools.prl
%{_libdir}/libQt6ShaderTools.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_shadertools*.pri
%{_datadir}/qt6/modules/ShaderTools.json
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtShaderToolsTestsConfig.cmake
%dir %{_libdir}/cmake/Qt6ShaderTools
%{_libdir}/cmake/Qt6ShaderTools/Qt6ShaderTools*.cmake
%dir %{_libdir}/cmake/Qt6ShaderToolsTools
%{_libdir}/cmake/Qt6ShaderToolsTools/Qt6ShaderTools*.cmake
%{_libdir}/pkgconfig/Qt6ShaderTools.pc

%changelog
* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 6.2.2-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.1-1mamba
- package created using the webbuild interface
